Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision d9ec849193ba9ce9527858cc2fbfe5aacc91b704)
+++ chapter01/changelog.xml	(revision fb8cc475c8d4b852566159e53f044628adcea819)
@@ -45,4 +45,26 @@
 
     <listitem>
+      <para>2019-08-03</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.2.5. Fixes
+          <ulink url="&lfs-ticket-root;4505">#4505</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to kbd-2.2.0. Fixes
+          <ulink url="&lfs-ticket-root;4507">#4507</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to glibc-2.30. Fixes
+          <ulink url="&lfs-ticket-root;4508">#4508</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-5.02. Fixes
+          <ulink url="&lfs-ticket-root;4509">#4509</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2019-07-21</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision d9ec849193ba9ce9527858cc2fbfe5aacc91b704)
+++ chapter01/whatsnew.xml	(revision fb8cc475c8d4b852566159e53f044628adcea819)
@@ -102,7 +102,7 @@
       <para>Gettext-&gettext-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Glibc-&glibc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>GMP-&gmp-version;</para>
Index: chapter02/hostreqs.xml
===================================================================
--- chapter02/hostreqs.xml	(revision d9ec849193ba9ce9527858cc2fbfe5aacc91b704)
+++ chapter02/hostreqs.xml	(revision fb8cc475c8d4b852566159e53f044628adcea819)
@@ -61,6 +61,7 @@
     </listitem>
 
-    <listitem>
-      <para><emphasis role="strong">GCC-5.2</emphasis> including the C++
+    <!-- glibc-2.30 requires bcc-6.2 or later -->
+    <listitem>
+      <para><emphasis role="strong">GCC-6.2</emphasis> including the C++
       compiler, <command>g++</command> (Versions greater than &gcc-version; are
       not recommended as they have not been tested)</para>
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision d9ec849193ba9ce9527858cc2fbfe5aacc91b704)
+++ chapter06/glibc.xml	(revision fb8cc475c8d4b852566159e53f044628adcea819)
@@ -177,9 +177,4 @@
 
     <itemizedlist>
-
-      <listitem>
-        <para><emphasis>misc/check-installed-headers-c</emphasis> 
-        is known to fail due to changes in the kernel headers.</para>
-      </listitem>
 
       <listitem>
Index: general.ent
===================================================================
--- general.ent	(revision d9ec849193ba9ce9527858cc2fbfe5aacc91b704)
+++ general.ent	(revision fb8cc475c8d4b852566159e53f044628adcea819)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20190721">
+<!ENTITY version         "SVN-20190803">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20190721-systemd">
+<!ENTITY versiond        "20190903-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "July 21st, 2019">
+<!ENTITY releasedate     "August 3rd, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision d9ec849193ba9ce9527858cc2fbfe5aacc91b704)
+++ packages.ent	(revision fb8cc475c8d4b852566159e53f044628adcea819)
@@ -262,8 +262,8 @@
 <!ENTITY gettext-ch6-sbu "2.0 SBU">
 
-<!ENTITY glibc-version "2.29">
-<!ENTITY glibc-size "16,129 KB">
+<!ENTITY glibc-version "2.30">
+<!ENTITY glibc-size "16,189 KB">
 <!ENTITY glibc-url "&gnu;glibc/glibc-&glibc-version;.tar.xz">
-<!ENTITY glibc-md5 "e6c279d5b2f0736f740216f152acf974">
+<!ENTITY glibc-md5 "2b1dbdf27b28620752956c061d62f60c">
 <!ENTITY glibc-home "&gnu-software;libc/">
 <!ENTITY glibc-ch5-du "885 MB">
@@ -357,8 +357,8 @@
 <!ENTITY iproute2-ch6-sbu "0.2 SBU">
 
-<!ENTITY kbd-version "2.1.0">
-<!ENTITY kbd-size "1,089 KB">
+<!ENTITY kbd-version "2.2.0">
+<!ENTITY kbd-size "1,090 KB">
 <!ENTITY kbd-url "https://www.kernel.org/pub/linux/utils/kbd/kbd-&kbd-version;.tar.xz">
-<!ENTITY kbd-md5 "8af96ca067ddca1a950c25a24b9ca245">
+<!ENTITY kbd-md5 "d1d7ae0b5fb875dc082731e09cd0c8bc">
 <!ENTITY kbd-home "http://ftp.altlinux.org/pub/people/legion/kbd">
 <!ENTITY kbd-ch6-du "30 MB">
@@ -423,10 +423,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "2">
-<!ENTITY linux-patch-version "2">
+<!ENTITY linux-patch-version "5">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "104,530 KB">
+<!ENTITY linux-size "104,548 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "be9f3e8e40b97616b5d31e414c7bec24">
+<!ENTITY linux-md5 "563ddd6b9f8022c2f881b441bee55844">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -469,8 +469,8 @@
 <!ENTITY man-db-ch6-sbu "0.3 SBU">
 
-<!ENTITY man-pages-version "5.01">
-<!ENTITY man-pages-size "1,624 KB">
+<!ENTITY man-pages-version "5.02">
+<!ENTITY man-pages-size "1,630 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "5f75f72efcbe5cd245c4d9f36005d070">
+<!ENTITY man-pages-md5 "136e5e3380963571a079693d8ae38f52">
 <!ENTITY man-pages-home "https://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "28 MB">
